Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78805 - Body of mail messages are not displayed
Summary: Body of mail messages are not displayed
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: evolution
Version: 8.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-30 20:57 UTC by adrian.lawrence
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-10 03:07:18 UTC


Attachments (Terms of Use)
screen dump with plain text message, the body of which is not displayed (deleted)
2002-11-30 21:03 UTC, adrian.lawrence
no flags Details
A plain text message as received and saved by mozilla. Evolution did not display body. (deleted)
2002-12-01 22:55 UTC, adrian.lawrence
no flags Details
The sameplain text message as received and saved by evolution which did not display the body. (deleted)
2002-12-01 22:58 UTC, adrian.lawrence
no flags Details

Description adrian.lawrence 2002-11-30 20:57:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
evolution-1.0.8-10.

This is running on 3 machines recently upgraded to RH8.0. 

On 2 machines there is no problem. On one machine, evolution has recently
stopped displaying the body of messages. I suspect a font issue.

I had adjusted some system parameters including gnome control centre font
settings. Some time later, I discovered that evolution no longer displays the
body of messages.

I have experimented with every sort of font setting that I can find, tried to
revert to earlier settings, googled, grepped for "font" through the ~/evolution
subdirectory and drawn a blank. But I have not looked at evolution source:
sorry, no time.

I will attach a screen dump to show the phenomenon. Trying to select the area
where the text should be rendered does not work. It appears that there are no
glyps there (I wished to test paste into another  window.)

mozilla, for example, successfully reads the mail. It seems to be a problem very
specific to evolution. The lack of technical documentation for these gnome
programs makes it very reminicent of MS :-( O for a man page or info :-((

An strace was not helpful at my minimal level of understanding: no mention of
fonts. I assume that was CORBA'ed.


Version-Release number of selected component (if applicable): 1.0.8-10

How reproducible: Didn't try

Steps to Reproduce:
(Don't know how to reproduce this problem. Would rather not mess up other
installations since I don't know how to revert.)


Additional info:  Screen dump will be attached.

Comment 1 adrian.lawrence 2002-11-30 21:03:59 UTC
Created attachment 86944 [details]
screen dump with plain text message, the body of which is not displayed

Comment 2 Michael Lee Yohe 2002-12-01 19:31:29 UTC
I have experienced this problem.  Apparently, it is the encoding method of the
"HTML"ized message.  Otherwise, if I strip all the HTML stuff from the email
message - it renders without a hitch.

Comment 3 adrian.lawrence 2002-12-01 21:42:48 UTC
Almost all my messages are in plain text. There is no html involved 
in most of them. So unless I misunderstand the comment above (thanks, BTW),
I don't think that can be the explanation. Unless evolution itself uses
html to render the plain text onto its screen which sounds plausible.
But then apart from experimenting with the html settings 
(I did that, I think) I don't know how to strip out html from text messages 
that contain no html:-)

Comment 4 Michael Lee Yohe 2002-12-01 21:53:48 UTC
Perhaps it's a related problem?

Could you attach a message (with full headers) that does not want to be
displayed on the screen?

Comment 5 adrian.lawrence 2002-12-01 22:52:19 UTC
No messages at all are displayed. FWISW, I will attach a test message
which  has a body consisting of 1 word "Testing"


Comment 6 adrian.lawrence 2002-12-01 22:55:51 UTC
Created attachment 87007 [details]
A plain text message as received and saved by mozilla. Evolution did not display body.

Comment 7 adrian.lawrence 2002-12-01 22:58:07 UTC
Created attachment 87010 [details]
The sameplain text message as received and saved by evolution which did not display the body.

Comment 8 Jeremy Katz 2002-12-29 08:41:58 UTC
What are the contents of ~/.gnome/gtkhtml?  If you remove the file by moving it
to /tmp, does it work?

Comment 9 Jeremy Katz 2003-02-10 03:07:18 UTC
Closing due to inactivity


Note You need to log in before you can comment on or make changes to this bug.